<?php
define('PRONTUS', true);
header ("Content-Type:application/json; charset=utf-8");

/**
 * Author: EGL <egarcia.usm@gmail.com> & CVI <cvasquez@altavoz.net>
 * Historial:
 *  2009-01-26 - EGL - Primera Versión
 *  2009-01-26 - CVI - Correcciones y Optimizaciones
 *  2014-03-25 - CVI - Nueva versión para trabajar con la Prontus Function
 */
require_once('config.php');
require_once('Utiles.class.php');
require_once('PostingYoutube.class.php');

define('MODULOLOG', 'youtube_status');

/**
 * @param $argv[1] valor de ts (id elementos de un artículo)
 * @param $argv[2] prontus_id que hace el llamado
 * @param $argv[3] ruta al video (luego se subirlo, se borrará)
 * @param $argv[4] ruta a la carpeta del script (usado para almacenar el log de archivos subidos. (modificable a libertad))
 **/
$input = array();
$input['ts']            = (empty($_GET['_ts'])) ? '' : $_GET['_ts'];
$input['prontus_id']    = (empty($_GET['_prontus_id'])) ? '' : $_GET['_prontus_id'];
$input['ruta_youtube']  = '/'.$input['prontus_id'].'/cpan/data/youtube_post/';

//se define para los mensajes de log
define('TSART', $input['ts']);

$dir_yt = substr($input['ts'], 0, 6);
$status_youtube = $_SERVER['DOCUMENT_ROOT'].$input['ruta_youtube'] . 'files/' . $dir_yt . '/resp' . $input['ts'] . '.json';

$json = '{"video_id":null, "video_state":""}';

$pos = false;
if (file_exists($status_youtube)) {
    $json = file_get_contents($status_youtube);
    $pos = ($json['video_state'] == 'ready');

    if ($pos === false) {
        $postingYoutube = new PostingYoutube($CONFIG_YOUTUBE);
        $postingYoutube->chequeaEstado($input);
        $json = file_get_contents($status_youtube);
    }
}
echo $json;
